Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core
Class QVTODebugTarget

    java.lang.Object
      DebugElement
          org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
              org.eclipse.m2m.qvt.oml.debug.core.QVTODebugTarget

    public class QVTODebugTarget

extends QVTODebugElement

Constructor Summary
`QVTODebugTarget(IProcess process, IQVTOVirtualMachineShell vm)`

Method Summary
`void` | `addVMEventListener(VMEventListener listener)`
`void` | `breakpointAdded(IBreakpoint breakpoint)`
`void` | `breakpointChanged(IBreakpoint breakpoint, IMarkerDelta delta)`
`void` | `breakpointManagerEnablementChanged(boolean enabled)`
`void` | `breakpointRemoved(IBreakpoint breakpoint, IMarkerDelta delta)`
`boolean` | `canDisconnect()`
`boolean` | `canResume()`
`boolean` | `canSuspend()`
`boolean` | `canTerminate()`
`protected URI` | `computeBreakpointURI(URI sourceURI)`
`void` | `disconnect()`
`IValue` | `evaluate(java.lang.String expressionText, long frameID)`
`IDebugTarget` | `getDebugTarget()`
`java.util.Collection<? extends IBreakpoint>` | `getInstalledBreakpoints()`
`ILaunch` | `getLaunch()`
`java.lang.String` | `getMainModuleName()`
`IMemoryBlock` | `getMemoryBlock(long startAddress, long length)`
`java.lang.String` | `getName()`
`IProcess` | `getProcess()`
`IThread[]` | `getThreads()`
`IQVTOVirtualMachineShell` | `getVM()`
`void` | `handleDebugEvents(DebugEvent[] events)`
`boolean` | `hasThreads()`
`boolean` | `isDisconnected()`
`boolean` | `isSuspended()`
`boolean` | `isTerminated()`
`boolean` | `removeVMEventListener(VMEventListener listener)`
`void` | `resume()`
`VMResponse` | `sendRequest(VMRequest request)`
`protected void` | `setMainModuleName(java.lang.String mainModuleName)`
`protected void` | `started(java.lang.String mainModuleName)`
`boolean` | `supportsBreakpoint(IBreakpoint breakpoint)`
`boolean` | `supportsStorageRetrieval()`
`void` | `suspend()`
`void` | `terminate()`
`protected void` | `terminated()`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
`getModelIdentifier, getQVTODebugTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTODebugTarget

    public QVTODebugTarget(IProcess process,
                           IQVTOVirtualMachineShell vm)

Method Detail

### computeBreakpointURI

    protected URI computeBreakpointURI(URI sourceURI)

### getInstalledBreakpoints

    public java.util.Collection<? extends IBreakpoint> getInstalledBreakpoints()

### sendRequest

    public VMResponse sendRequest(VMRequest request)
                           throws DebugException

  Throws:
    `DebugException`

### isSuspended

    public boolean isSuspended()

### getDebugTarget

    public IDebugTarget getDebugTarget()

### getLaunch

    public ILaunch getLaunch()

### getVM

    public IQVTOVirtualMachineShell getVM()

### getProcess

    public IProcess getProcess()

### hasThreads

    public boolean hasThreads()
                       throws DebugException

  Throws:
    `DebugException`

### getThreads

    public IThread[] getThreads()
                         throws DebugException

  Throws:
    `DebugException`

### getName

    public java.lang.String getName()
                             throws DebugException

  Throws:
    `DebugException`

### supportsBreakpoint

    public boolean supportsBreakpoint(IBreakpoint breakpoint)

### canTerminate

    public boolean canTerminate()

### isTerminated

    public boolean isTerminated()

### terminate

    public void terminate()
                   throws DebugException

  Throws:
    `DebugException`

### started

    protected void started(java.lang.String mainModuleName)

### setMainModuleName

    protected void setMainModuleName(java.lang.String mainModuleName)

### getMainModuleName

    public java.lang.String getMainModuleName()

### terminated

    protected void terminated()

### canResume

    public boolean canResume()

### canSuspend

    public boolean canSuspend()

### resume

    public void resume()
                throws DebugException

  Throws:
    `DebugException`

### suspend

    public void suspend()
                 throws DebugException

  Throws:
    `DebugException`

### breakpointAdded

    public void breakpointAdded(IBreakpoint breakpoint)

### breakpointChanged

    public void breakpointChanged(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

### breakpointRemoved

    public void breakpointRemoved(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

### canDisconnect

    public boolean canDisconnect()

### disconnect

    public void disconnect()
                    throws DebugException

  Throws:
    `DebugException`

### isDisconnected

    public boolean isDisconnected()

### supportsStorageRetrieval

    public boolean supportsStorageRetrieval()

### getMemoryBlock

    public IMemoryBlock getMemoryBlock(long startAddress,
                                       long length)
                                throws DebugException

  Throws:
    `DebugException`

### handleDebugEvents

    public void handleDebugEvents(DebugEvent[] events)

### breakpointManagerEnablementChanged

    public void breakpointManagerEnablementChanged(boolean enabled)

### addVMEventListener

    public void addVMEventListener(VMEventListener listener)

### removeVMEventListener

    public boolean removeVMEventListener(VMEventListener listener)

### evaluate

    public IValue evaluate(java.lang.String expressionText,
                           long frameID)
                    throws CoreException

  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD